JaxbHibernateMapping.JaxbClass.JaxbId (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbHibernateMapping.JaxbClass.JaxbId

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbHibernateMapping.JaxbClass.JaxbId

All Implemented Interfaces:
  MetaAttributeContainer, SingularAttributeSource

Enclosing class:
  JaxbHibernateMapping.JaxbClass

    public static class JaxbHibernateMapping.JaxbClass.JaxbId

extends Object
implements SingularAttributeSource

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="meta" type="{http://www.hibernate.org/xsd/hibernate-mapping}meta-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="column" type="{http://www.hibernate.org/xsd/hibernate-mapping}column-element" maxOccurs="unbounded" minOccurs="0"/>
             <element name="type" type="{http://www.hibernate.org/xsd/hibernate-mapping}type-element" minOccurs="0"/>
             <element name="generator" type="{http://www.hibernate.org/xsd/hibernate-mapping}generator-element" minOccurs="0"/>
           </sequence>
           <attribute name="access" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="column" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="length" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="node" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="type" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="unsaved-value" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected String` | `access`
`protected List<JaxbColumnElement>` | `column`
`protected String` | `columnAttribute`
`protected JaxbGeneratorElement` | `generator`
`protected String` | `length`
`protected List<JaxbMetaElement>` | `meta`
`protected String` | `name`
`protected String` | `node`
`protected JaxbTypeElement` | `type`
`protected String` | `typeAttribute`
`protected String` | `unsavedValue`

Constructor Summary
`JaxbHibernateMapping.JaxbClass.JaxbId()`

Method Summary
`String` | `getAccess()` Gets the value of the access property.
`List<JaxbColumnElement>` | `getColumn()` Gets the value of the column property.
`String` | `getColumnAttribute()` Gets the value of the columnAttribute property.
`JaxbGeneratorElement` | `getGenerator()` Gets the value of the generator property.
`String` | `getLength()` Gets the value of the length property.
`List<JaxbMetaElement>` | `getMeta()` Gets the value of the meta property.
`String` | `getName()` Gets the value of the name property.
`String` | `getNode()` Gets the value of the node property.
`JaxbTypeElement` | `getType()` Gets the value of the type property.
`String` | `getTypeAttribute()` Gets the value of the typeAttribute property.
`String` | `getUnsavedValue()` Gets the value of the unsavedValue property.
`void` | `setAccess(String value)` Sets the value of the access property.
`void` | `setColumnAttribute(String value)` Sets the value of the columnAttribute property.
`void` | `setGenerator(JaxbGeneratorElement value)` Sets the value of the generator property.
`void` | `setLength(String value)` Sets the value of the length property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setNode(String value)` Sets the value of the node property.
`void` | `setType(JaxbTypeElement value)` Sets the value of the type property.
`void` | `setTypeAttribute(String value)` Sets the value of the typeAttribute property.
`void` | `setUnsavedValue(String value)` Sets the value of the unsavedValue property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### meta

    protected List<JaxbMetaElement> meta

### column

    protected List<JaxbColumnElement> column

### type

    protected JaxbTypeElement type

### generator

    protected JaxbGeneratorElement generator

### access

    protected String access

### columnAttribute

    protected String columnAttribute

### length

    protected String length

### name

    protected String name

### node

    protected String node

### typeAttribute

    protected String typeAttribute

### unsavedValue

    protected String unsavedValue

Constructor Detail

### JaxbHibernateMapping.JaxbClass.JaxbId

    public JaxbHibernateMapping.JaxbClass.JaxbId()

Method Detail

### getMeta

    public List<JaxbMetaElement> getMeta()

  Gets the value of the meta property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the meta property.

  For example, to add a new item, do as follows:

          getMeta().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbMetaElement`

  Specified by:
    `getMeta` in interface `MetaAttributeContainer`

### getColumn

    public List<JaxbColumnElement> getColumn()

  Gets the value of the column property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the column property.

  For example, to add a new item, do as follows:

          getColumn().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbColumnElement`

### getType

    public JaxbTypeElement getType()

  Gets the value of the type property.

  Specified by:
    `getType` in interface `SingularAttributeSource`
  Returns:
    possible object is `JaxbTypeElement`

### setType

    public void setType(JaxbTypeElement value)

  Sets the value of the type property.

  Parameters:
    `value` - allowed object is `JaxbTypeElement`

### getGenerator

    public JaxbGeneratorElement getGenerator()

  Gets the value of the generator property.

  Returns:
    possible object is `JaxbGeneratorElement`

### setGenerator

    public void setGenerator(JaxbGeneratorElement value)

  Sets the value of the generator property.

  Parameters:
    `value` - allowed object is `JaxbGeneratorElement`

### getAccess

    public String getAccess()

  Gets the value of the access property.

  Specified by:
    `getAccess` in interface `SingularAttributeSource`
  Returns:
    possible object is `String`

### setAccess

    public void setAccess(String value)

  Sets the value of the access property.

  Parameters:
    `value` - allowed object is `String`

### getColumnAttribute

    public String getColumnAttribute()

  Gets the value of the columnAttribute property.

  Returns:
    possible object is `String`

### setColumnAttribute

    public void setColumnAttribute(String value)

  Sets the value of the columnAttribute property.

  Parameters:
    `value` - allowed object is `String`

### getLength

    public String getLength()

  Gets the value of the length property.

  Returns:
    possible object is `String`

### setLength

    public void setLength(String value)

  Sets the value of the length property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public String getName()

  Gets the value of the name property.

  Specified by:
    `getName` in interface `SingularAttributeSource`
  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getNode

    public String getNode()

  Gets the value of the node property.

  Returns:
    possible object is `String`

### setNode

    public void setNode(String value)

  Sets the value of the node property.

  Parameters:
    `value` - allowed object is `String`

### getTypeAttribute

    public String getTypeAttribute()

  Gets the value of the typeAttribute property.

  Specified by:
    `getTypeAttribute` in interface `SingularAttributeSource`
  Returns:
    possible object is `String`

### setTypeAttribute

    public void setTypeAttribute(String value)

  Sets the value of the typeAttribute property.

  Parameters:
    `value` - allowed object is `String`

### getUnsavedValue

    public String getUnsavedValue()

  Gets the value of the unsavedValue property.

  Returns:
    possible object is `String`

### setUnsavedValue

    public void setUnsavedValue(String value)

  Sets the value of the unsavedValue property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.